Мазмұнға өту

Luma Photon

Интеграциялау

Модель идентификаторы luma-photon
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/luma-photon?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Осы сұрау: ≈0,019 $ 19 API кредиті Осы бетте іске қосу

API кілтін алу

21:9 ультракең және 9:21 тік форматтарын қоса алғанда, жеті арақатынасы бар мәтіннен кескін жасау моделі

Luma AI · Кескін

Алғашқы нәтижеңіз осында пайда болады

Төменде сұрау құрып, оны API кілтіңізбен іске қосыңыз. Шығыстар сақтау орнымызға көшіріліп, мәңгі немесе 7 күн тегін сақталады.

Сұрау жасау

Басқару элементтері модель схемасынан жасалады. Оларды өзгерткен сайын код пен баға жаңартылады.

•міндетті 88 / 5000
aspect_ratio әдепкі 1:1

Шығыс бейнесінің арақатынасы.

Қосымша enable_safety_checker
POST /run/luma-photon?wait=20 бағасы → 0,019 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/luma-photon?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Осы сұрауды іске қосу

Кілтіңіз осы браузерде қалады: ол тек Doitong API-ге жіберіледі және Remember параметрін белгілеcеңіз ғана localStorage ішінде сақталады. API кілтін алу

Luma Photon туралы

5000 таңбаға дейінгі мәтіндік `prompt` арқылы кескіндер жасайды. `aspect_ratio` 16:9, 9:16, 1:1, 4:3, 3:4, 21:9 немесе 9:21 болуы мүмкін, әдепкісі — 1:1. Бұл Photon отбасындағы тек мәтінді қабылдайтын стандартты нұсқа, кескін кірісін қолдамайды.

Параметрлер

АтауыТүрі ӘдепкіРұқсат етілген Сипаттама
promptміндетті
Түріstring
≤ 5 000 таңба≥ 3 таңба
aspect_ratioміндетті емес
Түріenum
Әдепкі1:1
16:99:161:14:33:421:99:21
Шығыс бейнесінің арақатынасы.
enable_safety_checkerміндетті емес
Түріboolean
Әдепкіtrue
Шақырушы авторизацияланған болса, false мәнін орнату арқылы тексеруді жеңілдетуге болады.
міндетті

Шығыс

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "luma-photon",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 19,
    "usd": "0.019",
    "charged": 19,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Файлдарыңыз — таңдауыңызӘр outputs[].url — сақтау орнымыздағы көшірме: мәңгі (әр GB-ай үшін ақылы) немесе аккаунт параметрі не ?storage= арқылы 7 күн тегін сақталады.
Әр модельдегі пішім бірдейtype, url, content_type, width, height және duration — кескіндерге, бейнеге және аудиоға ортақ. output — модельдің өз нәтижелер нысаны.
Шығыс өрістері
images
array of object {url, content_type, file_name, file_size}Генерация нәтижесінде жасалған кескін.

Қосымша модельдер: Мәтіннен кескінге

AI агенттеріне: бұл беттің Markdown нұсқасы мына жерде: https://doitong.com/kk/developers/models/luma-photon.md. Барлық модельдер мен нұсқаулықтар: https://doitong.com/developers/llms.txt